package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamAuditEntity;

import java.util.Date;

/**
 * @author chenken
 * @date 2018/8/15 10:05
 * @company QMTH
 * @description ExamAuditEntityRepo
 */
@Repository
public interface ExamAuditRepo extends JpaRepository<ExamAuditEntity, Long>, JpaSpecificationExecutor<ExamAuditEntity> {

	ExamAuditEntity findByExamRecordDataId(Long examRecordDataId);

	Boolean existsByIllegallyTypeId(Long illegallyTypeId);

}
